﻿using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Persistance
{
    /// <summary>
    /// Classe DataToPersistReq
    /// </summary>
    [DataContract]
    class DataToPersistReq
    {
        /// <summary>
        /// List de Requin pour les requins de l'application
        /// </summary>
        [DataMember]
        public List<Requin> Requins { get; set; } = new List<Requin>();
        /// <summary>
        /// List de Requin pour les requins ajoutés par les utilisateurs
        /// </summary>
        [DataMember]
        public List<Requin> RequinsAdd { get; set; } = new List<Requin>();
        /// <summary>
        /// List de Requin pour les requins édités par les utilisateurs
        /// </summary>
        [DataMember]
        public List<Requin> RequinsEdit { get; set; } = new List<Requin>();
    }
}
